curl --request POST \
--url https://api.meetcampfire.com/coa/api/fixed-asset-automation/ \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"entity": 123,
"account": 123,
"amount_threshold": 0,
"asset_class": 123,
"needs_review": true,
"forward_looking": true
}
'import requests
url = "https://api.meetcampfire.com/coa/api/fixed-asset-automation/"
payload = {
"name": "<string>",
"entity": 123,
"account": 123,
"amount_threshold": 0,
"asset_class": 123,
"needs_review": True,
"forward_looking": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
entity: 123,
account: 123,
amount_threshold: 0,
asset_class: 123,
needs_review: true,
forward_looking: true
})
};
fetch('https://api.meetcampfire.com/coa/api/fixed-asset-automation/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"entity": 123,
"entity_name": "<string>",
"currency": "<string>",
"account": 123,
"account_name": "<string>",
"account_number": "<string>",
"amount_threshold": 0,
"asset_class": 123,
"asset_class_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"needs_review": true,
"forward_looking": true
}Create Fixed Asset Automation
List all automation rules or create a new one. GET /api/fixed-asset-automation/ POST /api/fixed-asset-automation/
Body
Serializer for automation rules
Descriptive name for this rule
255Entity this rule applies to (determines book currency)
Create assets when transactions are posted to this account
Minimum transaction amount in book currency (materiality threshold)
-1000000000000000000 < x < 1000000000000000000Asset class to use for created assets
If true, queue assets for review before creation
Only apply to transactions created after this rule
Response
Serializer for automation rules
Descriptive name for this rule
255Entity this rule applies to (determines book currency)
Book currency from entity (auto-populated)
Create assets when transactions are posted to this account
Minimum transaction amount in book currency (materiality threshold)
-1000000000000000000 < x < 1000000000000000000Asset class to use for created assets
If true, queue assets for review before creation
Only apply to transactions created after this rule